This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 70237 - vte + kinput2 seems to grab Meta/Alt key modifier
vte + kinput2 seems to grab Meta/Alt key modifier
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-07-31 04:55 EDT by Jens Petersen
Modified: 2007-04-18 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 02:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2002-07-31 04:55:37 EDT
Description of Problem:
In a default Japanese gnome session, it isn't possible to enter say "M-x"
(ie Meta x in Emacs or XEmacs) inside gnome-terminal, which is rather
annoying.

Version-Release number of selected component (if applicable):
gnome-terminal-2.0.0.90-3
vte-0.5.4-2
kinput2-canna-wnn6-v3-18

How Reproducible:
every time

Steps to Reproduce:
1. Start a Japanese gnome session
2. Run gnome terminal
3. Run "emacs -nw -q" the gnome-terminal
4. Press "M-x"

Actual Results:
An "x" appears in the "*scratch*" buffer.

Expected Results:
"M-x " should be prompting for input in the minibuffer.

Additional Information:
The problem doesn't occur in xterm or kterm.
Comment 1 Owen Taylor 2002-08-30 15:50:28 EDT
Are there any M-<key> combinations that have to be caught by the 
input method instead of vte? That is, could VTE just bypass
XInput handling entirely when the meta key is pressed?

(I remember some input methods beginning with M-<space>...)
Comment 2 Nalin Dahyabhai 2003-01-13 23:14:54 EST
Versions 0.10.9 and later will steal Meta-modified keystrokes from the input
method, which should fix this.  Please reopen if you continue to see these problems.
Comment 3 Jens Petersen 2003-02-19 10:01:24 EST
Alt-x seems to work fine in Emacs now, but not Meta-x AFAICT.
Comment 4 Jens Petersen 2004-10-15 02:32:20 EDT
The later is not vte bug, but just X mod config I guess.

Note You need to log in before you can comment on or make changes to this bug.